Thứ Ba , Tháng Tám 20 2019

Lỗ hổng bảo mật Stack Clash gây ảnh hưởng hàng ngàn máy chủ Linux

Tin cực nóng hổi vì lổ hổng bảo mật bảo mật trên Linux mang tên ‘Stack Clash’ đang mang lại rủi ro cực kì lớn đối với hàng ngàn máy chủ hệ điều hành Linux.

1. Thông tin lỗ hỏng bảo mật Stack Clash

Lỗ hỏng bảo mật Stack Clash là lỗ hổng leo thang đặc quyền – privilege escalation. Khi khai thác được lỗ hỏng này, hacker có thể dùng tài khoản người dùng bình thường để chiếm quyền root và điều khiển toàn bộ server của bạn. Sau khi chiếm được quyền điều khiển server thì hacker có thể dùng mã độc wannacry để tống tiền bạn hoặc xoá dữ liệu trên server…
Lỗ hỏng này được cảnh báo từ hãng an ninh mạng Qualys, lỗ hổng Stack Clash bắt nguồn từ cơ chế bảo vệ của trình quản lý bộ nhớ trên các hệ điều hành đang được sử dụng phổ biến.


Để kiểm tra server của bạn có bị ảnh hưởng bởi lỗ hổng Stack Clash hay không thì bạn thực hiện các bước sau:

  • Login vào server với quyền root.
  • Chạy script do RedHat cung cấp, nếu chương trình xuất ra dòng chữ màu đỏ thì server của bạn có nguy cơ bị hacker khai thác lỗ hổng Stack Clash.
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
# wget https://access.redhat.com/sites/default/files/cve-2017-1000366_2.sh && bash cve-2017-1000366_2.sh
This script is primarily designed to detect CVE1000366 on supported
Red Hat Enterprise Linux systems and kernel packages.
Result may be inaccurate for other RPM based systems.
Detected ‘glibc’ packages are:
glibc2.121.209.el6_9.1.x86_64
glibc2.121.209.el6_9.1.i686
Detected running kernel is ‘2.6.32-696.1.1.el6.x86_64’.
This ‘glibc’ version is vulnerable.
Update ‘glibc’ package and restart the system.
Follow https://access.redhat.com/security/vulnerabilities/stackguard for advice.
This ‘kernel’ version is vulnerable.
Update ‘kernel’ package and restart the system.
Follow https://access.redhat.com/security/vulnerabilities/stackguard for advice.

2. Cách bảo vệ server trước lỗ hổng Stack Clash

Vì tính chất nghiêm trọng của lỗ hổng cũng như các rủi ro lớn khi server bị khai thác bằng lỗ hỏng này, bộ phận kỹ thuật khuyến nghị bạn thực hiện ngay việc cập nhật kernel của hệ điều hành và gói phần mềm glibc theo các bước sau:
– CentOS/Redhat
Lệnh :

1
2
# yum update kernel* glibc*
# reboot
1
2
# apt-get update && sudo apt-get upgrade
# reboot

Giới thiệu sysadmin

Website chuyên về các bài viết Kỹ Thuật - Công Nghệ trong lĩnh vực Công Nghệ Thông Tin. Là nơi mọi người có thể giao lưu, chia sẻ và học tập.

Trả lời

Email của bạn sẽ không được hiển thị công khai. Các trường bắt buộc được đánh dấu *